<?php
namespace Magento\Tax\Block\Adminhtml\Items\Price\Renderer;

/**
 * Interceptor class for @see \Magento\Tax\Block\Adminhtml\Items\Price\Renderer
 */
class Interceptor extends \Magento\Tax\Block\Adminhtml\Items\Price\Renderer implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Sales\Block\Adminhtml\Items\Column\DefaultColumn $defaultColumnRenderer, \Magento\Tax\Helper\Data $taxHelper, \Magento\Tax\Block\Item\Price\Renderer $itemPriceRenderer, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $defaultColumnRenderer, $taxHelper, $itemPriceRenderer, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
